package com.chelvc.cloud.admin.controller;

import com.chelvc.cloud.vehicle.client.AssetClient;
import com.chelvc.cloud.vehicle.client.param.TransferParam;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class AssetController {

    private final AssetClient assetClient;

    /**
     * 手动转账接口
     */
    @PostMapping("/asset/transfer")
    public void transfer(@RequestBody TransferParam param){
        this.assetClient.transfer(param);
    }
}
